package Models.Values;

import Models.Types.IType;
import Models.Types.ReferenceType;

public class ReferenceValue implements IValue {
    private Integer address;
    private IType locationType;

    public ReferenceValue(Integer address, IType locationType) {
        this.address = address;
        this.locationType = locationType;
    }

    public Integer getAddress() {
        return this.address;
    }

    public IType getType() {
        return new ReferenceType(this.locationType);
    }
}
